Bug 175494 - [PATCH] devel/physfs: update to 2.0.3
[PATCH] devel/physfs: update to 2.0.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Oliver Lehmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-22 00:50 UTC by amdmi3
Modified: 2013-01-30 08:20 UTC (History)
1 user (show)

See Also:


Attachments
physfs-2.0.3.patch (1.68 KB, patch)
2013-01-22 00:50 UTC, amdmi3
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description amdmi3 2013-01-22 00:50:00 UTC
- Trim header
- Update to 2.0.3

Port maintainer (oliver@FreeBSD.org) is cc'd.

Presumable this update is important, as new version of games/warzone2100 says:

error   |04:41:31: [check_Physfs:566] You have PhysicsFS 2.0.2, which is buggy. You may experience random errors/crashes due to spuriously missing files.
error   |04:41:31: [check_Physfs:567] Please upgrade/downgrade PhysicsFS to a different version, such as 2.0.3 or 2.0.1.

The update was tested with above mentioned warzone2100 and devel/love07.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-01-22 00:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-01-30 08:13:35 UTC
Author: oliver
Date: Wed Jan 30 08:13:26 2013
New Revision: 311203
URL: http://svnweb.freebsd.org/changeset/ports/311203

Log:
  update to 2.0.3
  
  PR:		ports/175494
  Submitted by:	Dmitry Marakasov <amdmi3@amdmi3.ru>

Modified:
  head/devel/physfs/Makefile   (contents, props changed)
  head/devel/physfs/distinfo   (contents, props changed)
  head/devel/physfs/pkg-plist   (contents, props changed)

Modified: head/devel/physfs/Makefile
==============================================================================
--- head/devel/physfs/Makefile	Wed Jan 30 08:11:52 2013	(r311202)
+++ head/devel/physfs/Makefile	Wed Jan 30 08:13:26 2013	(r311203)
@@ -1,18 +1,15 @@
-# New ports collection makefile for:	physfs
-# Date Created:		26 July 2003
-# Whom:			Oliver Lehmann <oliver@FreeBSD.org>
-#
+# Created by: Oliver Lehmann <oliver@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	physfs
-PORTVERSION=	2.0.2
+PORTVERSION=	2.0.3
 CATEGORIES=	devel
 MASTER_SITES=	http://offload1.icculus.org:9090/${PORTNAME}/downloads/
 
 MAINTAINER=	oliver@FreeBSD.org
 COMMENT=	A library to provide abstract access to various archives
 
+USE_BZIP2=	yes
 USE_CMAKE=	yes
 USE_AUTOTOOLS=	libtool
 USE_LDCONFIG=	yes
@@ -22,13 +19,7 @@ patch-autotools-libtool:
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		's|CHECK_INCLUDE_FILE(sys/ucred.h HAVE_UCRED_H|& "-include sys/param.h"|g; \
-		 s|CHECK_INCLUDE_FILE(readline/readline.h HAVE_READLINE_H|& "-include stdio.h"|g; \
-		 s|CHECK_INCLUDE_FILE(readline/history.h HAVE_HISTORY_H|& "-include stdio.h"|g; \
-		 s|CHECK_LIBRARY_EXISTS("readline" "history.*|SET(HAVE_LIBHISTORY TRUE)|g; \
-		 s|" " \(readline curses\)|\1|' ${WRKSRC}/CMakeLists.txt
-
-	@${REINPLACE_CMD} -e 's|\(define SIZEOF_INT\) 4|\1 (LONG_BIT/8)|g' \
-		${WRKSRC}/platform/unix.c
+		's|CHECK_INCLUDE_FILE(sys/ucred.h HAVE_UCRED_H|& "-include sys/param.h"|g' \
+		${WRKSRC}/CMakeLists.txt
 
 .include <bsd.port.mk>

Modified: head/devel/physfs/distinfo
==============================================================================
--- head/devel/physfs/distinfo	Wed Jan 30 08:11:52 2013	(r311202)
+++ head/devel/physfs/distinfo	Wed Jan 30 08:13:26 2013	(r311203)
@@ -1,2 +1,2 @@
-SHA256 (physfs-2.0.2.tar.gz) = ae296d3148228e03fd56cc9ea58af02f87dcbb1fadef125c18b709ab37f0bc09
-SIZE (physfs-2.0.2.tar.gz) = 671700
+SHA256 (physfs-2.0.3.tar.bz2) = ca862097c0fb451f2cacd286194d071289342c107b6fe69079c079883ff66b69
+SIZE (physfs-2.0.3.tar.bz2) = 560628

Modified: head/devel/physfs/pkg-plist
==============================================================================
--- head/devel/physfs/pkg-plist	Wed Jan 30 08:11:52 2013	(r311202)
+++ head/devel/physfs/pkg-plist	Wed Jan 30 08:13:26 2013	(r311203)
@@ -1,6 +1,6 @@
 bin/test_physfs
 include/physfs.h
 lib/libphysfs.so.1
-lib/libphysfs.so.2.0.2
+lib/libphysfs.so.2.0.3
 lib/libphysfs.a
 lib/libphysfs.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Oliver Lehmann freebsd_committer 2013-01-30 08:13:39 UTC
State Changed
From-To: open->closed

Committed, Thanks!